Rygel.Transcoder.get_distance – librygel-server Reference Manual

# get_distance

## Description:

public abstract `uint` get_distance (MediaItem item)

Gets a numeric value that gives an gives an estimate of how hard it would be for this transcoder to trancode @item to the target profile of this transcoder.

## Parameters:

item | the media item to calculate the distance for

## Returns:

the distance from the @item, uint.MIN if providing such a value is impossible or uint.MAX if it doesn't make any sense to use this transcoder for @item